Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006526OCamlOCaml tools (ocaml{lex,yacc,dep,browser,debug})public2014-08-29 18:442015-01-17 00:05
Reporterdhekir 
Assigned To 
PrioritylowSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.0+beta1 / +rc1 
Target Version4.03.0+devFixed in Version4.03.0+dev 
Summary0006526: ocamllex warning: unescaped newline in comment string
DescriptionNon-terminated double quotes cause ocamllex to emit a warning even when they happen within comments:

(*
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES ETC ETC ETC.
 *)
rule translate = parse
  | eof { exit 0 }

ocamllex warning:
File "test.mll", line 2, character 75: unescaped newline in string.


This behavior might bother some purists, but it's not clear whether it should be considered a bug.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0012060)
gasche (developer)
2014-08-30 08:12

Would you like to provide a patch for this issue? You should be able to fix it in lex/lexer.mll (not parsing/lexer.mll, this is an error about the parsing of .mll files rather than general OCaml files), maybe checking comment_depth to know whether you are in a comment.
(0013126)
doligez (administrator)
2015-01-17 00:05

Fixed in trunk (rev 15780).

- Issue History
Date Modified Username Field Change
2014-08-29 18:44 dhekir New Issue
2014-08-30 08:12 gasche Note Added: 0012060
2014-08-30 08:12 gasche Status new => acknowledged
2014-09-15 15:26 doligez Target Version => 4.02.2+dev
2015-01-17 00:05 doligez Note Added: 0013126
2015-01-17 00:05 doligez Status acknowledged => closed
2015-01-17 00:05 doligez Resolution open => fixed
2015-01-17 00:05 doligez Fixed in Version => 4.03.0+dev
2015-01-17 00:05 doligez Target Version 4.02.2+dev => 4.03.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker